// Task elmcnt 
// Author Pano Panov
#include <iostream>
using namespace std;

typedef unsigned long long int LL;

class numOfDigits{
    public:
    LL First, Last;
    LL digCnt[10];	//Will hold the count for all the digits
    //Default Constructor
    numOfDigits(){
        for(int i=0; i<10;i++)digCnt[i]=0;
    }
    // Setter
    void setInterval(LL Left, LL Right) {
         First = Left;
         Last = Right;
    }
    // Getter
    LL *getDigits() {
      return digCnt;
    }
    //Logic to count the number of digits in a given number
    LL numOfZeroes(LL n){
        LL num = 0;
        while((n % 10) == 0){
             n /= 10;      //to get the number except the last digit.
             num++;        //when divided by 10, updated the count of the digits
        }
    return num;
   }
 // accumulates the number of digits of the current number in the counter array
 void DigitsForOneNumber(LL digCnt[], LL curNumber, LL Count){
  LL work = curNumber;
  while(work != 0){
    digCnt[work % 10] += Count;
    work /= 10;
  }
 }
 LL trunkR(LL num){
     while(num % 10 == 0){
          num /= 10;
     }
  return num;
 }
 // LL power function
LL powl(LL base, int expo){
 if(expo == 0) return 1L;
 LL work = base;
 for(int i=expo-1; i>0; i--) work *= base;
 return work;
}

void calculate( ){
    LL expo;               //expo is the n in 10^n in the formulas
    LL v999;               //Nines is the resut of 10^n - 1
    LL sigDigits;          //First nonzero digits in a number
    LL  curNum = First;    //Current number in the loop
while(curNum <= Last){
     DigitsForOneNumber(digCnt, curNum, 1LL);  // count of each digit in current number
     expo = numOfZeroes(curNum);
     //Start of optimization.
     if(expo > 0){
         v999 = powl(10L, expo)-1;
         if(curNum+v999 <= Last){
           for(int i=0; i<10; i++)
             {digCnt[i] += expo*powl(10L, expo-1);}
             digCnt[0] -= expo;
           sigDigits = trunkR(curNum);
           DigitsForOneNumber(digCnt, sigDigits, v999);
           curNum += v999;  //Increment the loop counter
        }
	 } //End of optimization
    curNum++;
    }
} // End of calculations
};// End of class numOfDigits

int main(){
	// Declare an object of class numOfdigCnt
    numOfDigits wrk;
    LL First,Last,N; //First and last number in the range
    LL *a;
    long long lsum;
	cin>>N>>First;
	Last=First+N-1;
	wrk.setInterval(First, Last);
	wrk.calculate();
	a = wrk.getDigits();
	lsum = 6*(a[0]+a[6]+a[9])+2*a[1]+5*(a[2]+a[3]+a[5])+4*a[4]+7*a[8]+3*a[7];
	cout<<lsum<<endl;
 return 0;
}
/*------- End of File ------------*/
