#include <iostream>
#include <unordered_map>
using namespace std;
typedef unsigned long long int LL;
static unordered_map<char, int>
         segment_count = {
                            {'1', 2},
                            {'2', 5},
                            {'3', 5},
                            {'4', 4},
                            {'5', 5},
                            {'6', 6},
                            {'7', 3},
                            {'8', 7},
                            {'9', 6},
                            {'0', 6}
                         };

int get_number_of_segments(char num) {
  return segment_count[num];
}

int main() {
  LL start, end, sum = 0;

  cin  >> end >> start;
  end = start + end -1;

  for(LL i = start; i <= end; ++i) {
    string current_num = to_string(i);
    //cout<<"<"<<current_num<<">"<<endl;
    for(auto c: current_num) {
      sum += get_number_of_segments(c);
    }
  }
  cout << sum << '\n';
}
